/////////////////////////////////////////////////////////////////////////////////
// Company: 武汉芯路恒科技有限公司
// Engineer: 小梅哥团队
// Web: www.corecourse.cn
// 
// Create Date: 2019/05/01 00:00:00
// Design Name: 
// Module Name: udp_rgmii_rx
// Project Name: 
// Target Devices: XC7A35T-2FGG484I
// Tool Versions: Vivado 2018.3
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module udp_rgmii_rx(
	reset_n,

	rgmii_rx_en,

  local_mac,
  local_ip,
  local_port,

  clk125M_o,
  fifo_full,
  fifo_wr,
  fifo_din,

	exter_mac,
  exter_ip,
	exter_port,
	rx_data_length,

  one_pkt_done,
  pkt_error,
  debug_cal_crc,
  debug_gmii_rxd,
  debug_gmii_rxdv, 

  rgmii_rx_clk,
  rgmii_rxd,
  rgmii_rxdv
);


	input              reset_n;

	input              rgmii_rx_en;

  input     [47:0]   local_mac;
  input     [31:0]   local_ip;
  input     [15:0]   local_port;
  
  output             clk125M_o;
  input              fifo_full;
  output             fifo_wr;
  output    [7:0]    fifo_din;
	
	output    [47:0]   exter_mac;
  output    [31:0]   exter_ip;
	output    [15:0]   exter_port;
	output    [15:0]   rx_data_length;
  
  output             one_pkt_done;
  output             pkt_error;
  output    [31:0]   debug_cal_crc;
  output    [7:0]    debug_gmii_rxd;
  output             debug_gmii_rxdv;

  input              rgmii_rx_clk;
	input     [3:0]    rgmii_rxd;
	input              rgmii_rxdv;
  
  wire               gmii_rx_clk;
	wire      [7:0]    gmii_rxd;
	wire               gmii_rxdv;
  
  assign debug_gmii_rxd = gmii_rxd;
  assign debug_gmii_rxdv = gmii_rxdv;

  rgmii_to_gmii rgmii_to_gmii
  (
    .reset_n      (reset_n     ),

    .gmii_rx_clk  (gmii_rx_clk ),	
    .gmii_rxdv    (gmii_rxdv   ),
    .gmii_rxd     (gmii_rxd    ),
    .gmii_rxerr   (            ),

    .rgmii_rx_clk (rgmii_rx_clk),
    .rgmii_rxd    (rgmii_rxd   ),
    .rgmii_rxdv   (rgmii_rxdv  )
  );

   BUFG BUFG_inst (
      .O(clk125M_o   ), // 1-bit output: Clock output
      .I(gmii_rx_clk )  // 1-bit input: Clock input
   );

  udp_gmii_rx udp_gmii_rx
  (
    .reset_n       (reset_n         ),

    .gmii_rx_en    (rgmii_rx_en     ),

    .local_mac     (local_mac       ),
    .local_ip      (local_ip        ),
    .local_port    (local_port      ),

    .fifo_full     (fifo_full       ),
    .fifo_wr       (fifo_wr         ),
    .fifo_din      (fifo_din        ),

    .exter_mac     (exter_mac       ),
    .exter_ip      (exter_ip        ),
    .exter_port    (exter_port      ),
    .rx_data_length(rx_data_length  ),

    .one_pkt_done  (one_pkt_done    ),
    .pkt_error     (pkt_error       ),
    .debug_cal_crc (debug_cal_crc   ),

    .gmii_rx_clk   (clk125M_o       ),
    .gmii_rxdv     (gmii_rxdv       ),
    .gmii_rxd      (gmii_rxd        )
  );

endmodule